Bug 142367 - Writer crashes when opening docx (GTK3)
Summary: Writer crashes when opening docx (GTK3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2021-05-19 06:39 UTC by stragu
Modified: 2021-05-28 18:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX from Bug 117930 (4.14 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-05-19 06:41 UTC, stragu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-05-19 06:39:25 UTC
Description:
The attached document, downloaded from Bug 117930, crashes LibreOffice 7.2 alpha0+ / alpha1+ Writer straight away, but used to open fine in previous versions 7.0 and 7.1.

Steps to Reproduce:
1. Download file and open with LO Writer

Actual Results:
Crashes directly on opening.

Expected Results:
Should not crash, like previous versions.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: b1c0734ffe0f395757b6e0cea7830d820231afeb
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-05-18_03:16:20
Calc: threaded
Comment 1 stragu 2021-05-19 06:41:08 UTC
Created attachment 172163 [details]
DOCX from Bug 117930

DOCX file from Bug 117930
Comment 2 Timur 2021-05-19 06:57:20 UTC
Repro 7.2+ GTK3, no repro fro GEN. Good catch.
It's enough to just write link, no need to upload again: attachment 142439 [details].
Comment 3 Timur 2021-05-19 07:12:09 UTC
Hi Noel. Here is another regression from this commit, please see.

author	Noel Grandin <noel.grandin@collabora.co.uk>	2021-05-12 11:33:06 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2021-05-12 13:37:18 +0200
commit	5aa60be574ece81b27c8f63e6e809871c694dba0 (patch)
tree	c6e272e967983ddff1df54bd6c4b0e9591032344
parent	db35b9086476259fa2c047f2e4dfe7862d026530 (diff)
fix leak in VCLXWindow
Comment 4 Commit Notification 2021-05-19 16:19:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/819b30e937d227d1458ecc22b09ef994ebe7e17e

tdf#142367 Writer crashes when opening docx

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Timur 2021-05-19 19:35:15 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2021-05-20 07:14:26 UTC
(In reply to Timur from comment #5)
> Xisco, please comment if UI test would be of use.

Hi Timur,
At the moment it's not possible to test this, we don't have tests for GTK3 only issues
Comment 7 Xisco Faulí 2021-05-20 07:28:42 UTC
Verified in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 4e4e02904fdff021631e7758a277b7c1c7b9378a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 8 stragu 2021-05-22 11:31:10 UTC
Thank you! Also verified on:

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: e9da22d3308557640e0edc45f72b1897f016d19b
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-05-21_07:07:00
Calc: threaded